Subject: [tsvwg] TSVWG Status report 25th July 2013

From: Gorry Fairhurst <[email-masked]>
Date: Thu, 25 Jul 2013 13:30:54 +0100

The list below shows the status of the working group documents as we see 
it. Please check below and comment on drafts using the list. Please do 
send any corrections/omissions to the chairs.

Best wishes,

Gorry, David & James
(TSVWG Chairs)
June 2013

---
Recently published:

draft-ietf-tsvwg-sctpsocket was published as RFC 6458.
draft-ietf-tsvwg-sctp-strrst was published as RFC 6525.
draft-ietf-tsvwg-source-quench was published as RFC 6633.
draft-ietf-tsvwg-sctp-udp-encap was published as RFC 6951.

-------------------------------------------------------------------
IDs in RFC Editor Queue:
http://www.rfc-editor.org/queue.html
None.

-------------------------------------------------------------------
IDs in IESG processing:
None.

-------------------------------------------------------------------
WG Drafts with Chairs:

draft-ietf-tsvwg-sctp-sack-immediately - Document Shepherd: Gorry
Replaces: draft-tuexen-tsvwg-sctp-sack-immediately
- WG adoption call after IETF-85, started 13/12/2013. Support {AB, IR, 
SL, MB, TD}
- Implemented/released in FreeBSD, partially implemented in Linux
WGLC concluded Friday 5th April 2013
- No major remaining comments at IETF-86, March 2013.
{Supported in WGLC: TD; MW; DB; GF; YN; AB} - summary sent 8th April 2013
{Comments include: DB; YN; AB; MW}
DUE: Authors to confirm draft is ready (Editor)
DUE Authors to confirm IPR status (All)
DUE: Write-up to be submitted (Gorry)
-------------------------------------------------------------------
WG Drafts:

---
draft-ietf-tsvwg-byte-pkt-congest - Document Shepherd: Gorry
IETF-81: discussed whether this should be BCP.
Status changed to BCP (new-ID WG -05)
WGLC concluded with comments on I-D, Friday 30th March 2012.
Draft version of write-up sent to list, comments received.
- Gorry working with authors to clear list of WGLC questions (5 sept 2012).
WG Chair received version that includes additional feedback during WGLC
WGLC Completed (post IESG Review) ended Friday, 28th June 2013.
STATUS: Awaiting revised-ID (subject to another WGLC)
---
draft-ietf-tsvwg-rsvp-pcn - Document Shepherd: James
Replaces: draft-karagiannis-pcn-tsvwg-rsvp-pcn
AD decision allowed this to be added to the milestones
Document adopted, status will be EXP (IETF-84 due to dependencies on PCN R
RSVP-DIR review received (BB).
MILESTONE EXPIRED.
DUE: Expected ready for WGLC
---
draft-ietf-tsvwg-natsupp-tsvwg - Document Shepherd: James
Replaces: draft-stewart-natsupp-tsvwg
Dependency from BEHAVE WG.
Adopted as a work item 21 Sept 2010 (Gorry).
WG -00, 29/11/2010 Uploaded as: draft-ietf-natsupp-tsvwg
Authors restructured draft (-03)
Added support for single and multi-homed support.
IETF-86: 3 people in meeting had read -04 or -05.
DUE: Authors please update following comments to TSVWG.
DUE: Please comment on list - MILESTONE EXPIRED.
---
draft-ietf-tsvwg-sctp-failover - Document Shepherd: James
Replaces: draft-nishida-tsvwg-sctp-failover
Individual-00 Presented in Prague, IETF-80.
- Understood not to conflict with draft-tuexen-tsvwg-sctp-multipath
- PF has been coded into FreeBSD
Adopted by WG 26/6/2012. [Milestone: Jul 2013, EXP]
DUE: Please comment on list.
---
draft-ietf-tsvwg-sctp-dtls-encaps - Document Shepherd: Gorry
Replaces: draft-tuexen-tsvwg-sctp-dtls-encaps-01
WG adopted 13/12/2013. Support {AB, IR, SL, MB, TD} [Milestone: Jan 
2014, PS]
Implemented in Firefox (FF21). Required by RTCweb.
DUE: Please comment on list.
---
draft-ietf-tsvwg-intserv-multiple-tspec - Document Shepherd: David
WG interest in this topic recorded at IETF-78.
Charter update needed to progress this work.
5 Reviews needed to determine energy/technical direction.
WG -05 (presented in Beijing, IETF-79)
WG -06 (presented in Prague, IETF-80)
2 reviews from RSVP-DIR received (Bruce Davie, ?)
2 additional reviews promised (Ken Carlberg, Francois LeF)
Chairs asked AD for a Charter update (IESG agreed)
Draft discussed at IETF-80, and request to update charter agreed
- AD advised 4 named reviewers will be required
Adopted for progression as PS, for May 2012
- New approach presented following WG comments, revised MILESTONE needed.
DUE: Discussion needed on list.
---

draft-ietf-tsvwg-port-use - Document Shepherd: Gorry
Replaces: draft-touch-tsvwg-port-use-00
- Intended to be advice to protocol designers needing a port.
5 people looked at this document, Prague IETF-80
Individual -01 July 2011
IETF-81 insufficient feedback from WG at this time.
IETF-82, discussed.
Adopted by WG
Presented IETF-86, March 2013
Milestone updated to June 2014
DUE: Please read individual sections and provide feedback!
---
draft-ietf-tsvwg-rsvp-app-id-vv-profiles
Replaces: draft-polk-tsvwg-rsvp-app-id-vv-profiles
-01 Presented in Beijing, IETF-79.
-02, 14-Mar-2011
Presented IETF-80.
Seek to coordinate with music with partner ID:
draft-polk-mmusic-traffic-class-for-sdp
Gorry liaised with MMUSIC WG Chairs on companion draft (norm ref from 
this tsvwg draft).
Adopted as a TSVWG work item, December 2013, [Milestone Jul 2013].
This will update a RFC 2872 (PS).
Presented at IETF-86, Mar 2013 (no comments)
DUE: Expected ready for WGLC;
DUE: Reviewers are needed to prepare for a WGLC.

-------------------------------------------------------------------
The following have received recent discussion at TSVWG meetings or on
the list. Inclusion in the list below does not indicate support for
these specific drafts and other contributions are also warmly welcomed.

draft-geib-tsvwg-diffserv-intercon
draft-yong-tsvwg-udp-encap-4-ip-tunneling
draft-shepherd-multicast-udp-guidelines
draft-turner-rsvp-auth-update
draft-wei-tsvwg-tunnel-congestion-feedback
draft-dhesikan-tsvwg-rtcweb-qos
draft-polk-tsvwg-delay-vs-loss-ds-service-classes
draft-stewart-tsvwg-sctp-ndata
draft-tuexen-tsvwg-sctp-prpolicies
draft-tuexen-tsvwg-sctp-scheduling

For other drafts linked to tsvwg, please see:
http://tools.ietf.org/wg/tsvwg/